
First changes of original F5OEO pluto.php:

# Pluto_mods by Colin G4EML (April,24th 2020)
https://github.com/g4eml/Pluto_mods

The files in this repository are intended for use with the F5OEO Pluto Firmware for DTV.
They are modified versions of the original files. 

Due to the way the Pluto file system works it is not possible to permanently change any files. 
However there is a way to update the files on every reboot.

Copy the files from the repository onto a USB memory stick.

Connect a USB Hub to the Pluto OTG port and plug the USB stick into the hub.

Apply power to the Pluto power port. 

On detecting the USB drive the Pluto will auto run the file called 'runme0.sh'. 
This shell script will copy the modified files into the Pluto. 

This is only temporary and does not modify your Pluto at all. 
Powering up the Pluto without the USB stick will revert back to the original versions. 

Updates currently implemented....

1. Change the QO-100 Channels drop down list to include the new revised channel list. 

2. Add Codec selection for the H264/H265 Encoder box.

3. Add Sound Enable/Disable option for the H264/H265 Encoder box.

Note that changing encoder from H265 to H264 does not currently change the video resolution. 
This is controlled by the strategy.sh file. This has not yet been optimised for the different codecs. 


Second changes of original F5OEO pluto.php:

--------------------------------------------------------------------------
(August 15th, 2020)
--------------------------------------------------------------------------
This package has been modified and updated by Roberto IS0GRB in August 15th, 2020 based on the latest
version modified by Colin G4EML

Updates currently implemented....

pluto.php mods:


1. Change of new QO-100 DATV channels with reference to QO-100 WB Bandplan (BATC Wiki) 
(https://wiki.batc.org.uk/QO-100_WB_Bandplan)

2. Inserted the downlink frequency (10491 - 10499) next to the Symbol Rate values ​​to have a clearer and 
more immediate view of where to transmit, without making calculations using the 2.4GHz frequency

3. Modified Power slide; longer to allow easier adjustment with 0.1dB steps

4. Change of Power value, now from -79 to +10 dBm, 0.1dB steps

5. Inserted at the top of the page the button to view the QO-100 WB bandplan on the BATC Wiki page


To update the new page, even if only in running mode, connect the external power supply to the Pluto, 
insert the contents of the zip file package into a FAT32 USB pen and connect it to the Pluto using the OTG adapter.

After a few seconds the flashing LED becomes fixed, this confirms that Pluto has mounted the USB mass storage.
If it doesn't work the first time, try disconnecting and reconnecting it again until the flashing LED becomes fixed.

Now wait 10 seconds disconnect the USB stick and reconnect the USB cable to the PC. 

It is possible to use an OTG HUB to avoid doing this every time it is restarted. 

If the USB stick it is already connected at startup, Pluto will automatically mount the USB stick and execute 
the "runme0.sh" script by copying the new files to the / www folder​.

In order not to carry out this operation manually every time the Adalm Pluto is turned off, it is possible to use 
the Y-shaped OTG cable described in this guide (http://www.dd1us.de/Downloads/…20Area%20Network%20v2.pdf), so that 
at start-up the Pluto automatically loads the script from the USB stick directly and you can connect also the pc 
at the same time.


Roberto IS0GRB
